Nuxeo 5.8 doesn't support java 8 features : is it planned?

Currently nuxeo 5.8 (as of HF34) can run on java 8 JM but doesn't support java 8 features. The problem comes from javassist lib.

Is it planned to fully support java 8 on 5.8 level? Thanks in advance.

Are there other folks seeking for this support?

0 votes

1 answers

1808 views

ANSWER



We'd rather people upgraded to Nuxeo 6.0 which has full support for Java 8.

Nuxeo 5.8 is in maintenance mode and we do as little changes as possible so that existing customers don't have any surprise when applying a hotfix.

1 votes



OK… that's understandable, it's a pity though regarding all great stuff available in java 8.
06/25/2015